PasswordFile (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.plain.PasswordFile,PasswordFile class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl.plain
Class PasswordFile

    java.lang.Object
      |
      +--gnu.crypto.sasl.plain.PasswordFile

public class PasswordFile
extends java.lang.Object

A representation of a Plain password file.

Constructor Summary
`PasswordFile()`
`PasswordFile(java.io.File pwFile)`
`PasswordFile(java.lang.String fileName)`

Method Summary
`void` | `add(java.lang.String user, java.lang.String passwd, java.lang.String[] attributes)`
`void` | `changePasswd(java.lang.String user, java.lang.String passwd)`
`boolean` | `contains(java.lang.String s)`
`java.lang.String[]` | `lookup(java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordFile

    public PasswordFile()
                 throws java.io.IOException

### PasswordFile

    public PasswordFile(java.io.File pwFile)
                 throws java.io.IOException

### PasswordFile

    public PasswordFile(java.lang.String fileName)
                 throws java.io.IOException

Method Detail

### add

    public void add(java.lang.String user,
                    java.lang.String passwd,
                    java.lang.String[] attributes)
             throws java.io.IOException

    `java.io.IOException`

### changePasswd

    public void changePasswd(java.lang.String user,
                             java.lang.String passwd)
                      throws java.io.IOException

    `java.io.IOException`

### lookup

    public java.lang.String[] lookup(java.lang.String user)
                              throws java.io.IOException

    `java.io.IOException`

### contains

    public boolean contains(java.lang.String s)
                     throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.